CreateEnvironment
Creates an environment and starts its validation and any requested provisioning. Storage provisioning and dependency checks may continue after the initial 201 response; use GetEnvironment to observe completion.
Request Syntax
POST /environments HTTP/1.1
Content-type: application/json
{
"configuration": {
"codeConfiguration": {
"environmentConfiguration": {
"network": {
"allowedDomains": [ "string" ]
},
"patchCreationPolicy": "string",
"scanFrequency": "string"
},
"sourceConfiguration": {
"repositorySources": [
{
"defaultBranch": "string",
"integrationId": "string",
"repository": "string"
}
],
"s3Sources": [
{
"codePrefix": "string",
"contextPrefix": "string",
"integrationId": "string"
}
]
}
}
},
"name": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- configuration
-
The configuration.
Type: CreateEnvironmentConfiguration object
Required: No
- name
-
The name of the resource.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9 _.\-]{0,254}Required: Yes
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"createdAt": "string",
"environmentArn": "string",
"environmentId": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- createdAt
-
The timestamp when the resource was created.
Type: Timestamp
- environmentArn
-
The Amazon Resource Name (ARN) of the environment.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1011.
Pattern:
arn:[a-z0-9-]+:continuum:[a-z0-9-]+:[0-9]{12}:environments/[a-z0-9]+ - environmentId
-
The identifier of the environment.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+ - status
-
The current status of the resource.
Type: String
Valid Values:
ACTIVE
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request is not authorized. Verify that your credentials and request signature are valid and that you have permission to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request could not be completed due to a conflict with the current state of the resource.
HTTP Status Code: 409
- InternalServerException
-
The request couldn't be processed because of an internal server issue. Try again later. If the problem persists, contact AWS Support.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request would exceed a service quota. Review your quota and request an increase if needed.
HTTP Status Code: 402
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The request failed to satisfy the constraints specified by AWS Continuum. Correct the fields identified in the error and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: